import request from '@/utils/request'

//用户授权相关 
// 获取调用钉钉api配置参数
export const authconfig = (params) => {
  return request({
    url: '/api/auth/config',
    method: 'POST',
    params
  })
}

// 用户信息 Parameters
export const userinfo = (params) => {
  return request({
    url: '/api/user/info',
    method: 'POST',
    params
  })
}

// 文件管理  
// 获取文件详情
export const getDetail = (id,userid) => {
  return request({
    url: '/api/doc/getDetail?id='+id+'&userNo='+userid,
    method: 'GET', 
  })
}

// 获取文件列表信息 
export const getDocList = (data) => {
  return request({
    url: '/api/doc/getDocList',
    method: 'POST',
    data,
    hideloading: true
  })
}

