import Vue from 'vue'
import Router from 'vue-router'
import { constantRouterMap } from './router.config.js'
// 解决vue router 升级到3.1.x 后，重复点击导航时NavigationDuplicated
// const originalPush = Router.prototype.push
// Router.prototype.push = function push (location, onResolve, onReject) {
//   if (onResolve || onReject) return originalPush.call(this, location, onResolve, onReject)
//   return originalPush.call(this, location).catch(err => err)
// }

Vue.use(Router)

const createRouter = () =>
  new Router({
    // mode: 'history', // 如果你是 history模式 需要配置vue.config.js publicPath
    // base: process.env.BASE_URL,
    // base: '/home/nginx/www/hsay/h5',
    scrollBehavior: () => ({ y: 0 }),
    routes: constantRouterMap
  })

const router = createRouter()
console.log(router)
export default router

