/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [
    {
      path: '/',
      name: 'home',
      component: () => import('@/views/Index/index'),
      meta: {
        title: '沪上阿姨',
        keepAlive: false
      },
    },
    {
        path: '/index',
        name: 'index',
        component: () =>
            import ('@/views/list/index.vue'),
        meta: {
            title: '沪上阿姨',
            keepAlive: false
        },
    },
    {
        path: '/page',
        name: 'page',
        component: () =>
            import ('@/views/multiPage/index.vue'),
        meta: {
            title: '沪上阿姨',
            keepAlive: false
        },
    },

    // {
    //   path: '/pdf',
    //   name: 'pdf',
    //   component: () => import('@/views/list/pdf'),
    //   meta: {
    //     title: '沪上阿姨',
    //     keepAlive: false
    //   },
    // },


]